
package de.ivu.elect.presentation.gruppeimgebiet.action;

import javax.annotation.Nonnull;
import javax.inject.Inject;

import de.ivu.elect.business.gruppeimgebiet.boundary.GruppeImGebietChangeEvent;
import de.ivu.elect.business.gruppeimgebiet.boundary.GruppeImGebietConversationSelect;
import de.ivu.elect.business.gruppeimgebiet.entity.GruppeImGebiet;
import de.ivu.elect.presentation.menu.AbstractActionEntry;

public abstract class AbstractReferendumVorlageImGebietAction extends AbstractActionEntry<GruppeImGebiet> {

  private static final long serialVersionUID = 1L;

  @Inject
  protected transient GruppeImGebietConversationSelect referendumVorlageImGebietSelect;

  @Inject
  protected transient GruppeImGebietChangeEvent referendumVorlageImGebietChangeEvent;

  public AbstractReferendumVorlageImGebietAction() {
    super();
  }

  @Override
  public boolean isDisabledInternal(@Nonnull GruppeImGebiet gruppeImGebiet) {
    return false;
  }

  @Override
  protected boolean isFireChangeEvent() {
    return false;
  }

  @Override
  protected void fireChangeEvent() {
    referendumVorlageImGebietChangeEvent.sendChangeEvent();
  }
}
